<html>
    <style>
        body {
            width: 21cm;
            display: block;
            margin: 0 auto;
        }
        .entry{
            width: 5cm;
            height: 7cm;
            margin: 0.5cm;
            display: block;
            float: left;
        }
        .wrapper{
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-orient: horizontal;
            -webkit-box-direction: normal;
                -ms-flex-flow: row wrap;
                    flex-flow: row wrap;
            -ms-flex-pack: distribute;
                justify-content: space-around;
        }

        .qrCode{
            height: 4.9cm;
            width: 4.9cm;
        }
        p{
            overflow: hidden;
            margin: 0.1cm;
            text-align: center;
        }
        .entry p:first-of-type{
            font-size: 0.4cm;
        }
        .entry p:last-of-type{
            font-size: 0.25cm;
        }
    </style>
    <body>
        <div class="wrapper">
                <div class="entry">
                    <img class="qrCode" src="<%=data[i].base64URI%>"/>
                    <p><%=data[i].mainTedasdsxt%></p>
                    <p><%=data[i].subText%></p>

                </div>
                <div class="entry">
                    <img class="qrCode" src="<%=data[i].base64URI%>"/>
                    <p><%=data[i].mainText%></p>
                    <p><%=data[i].subText%></p>

                </div>
                <div class="entry">
                    <img class="qrCode" src="<%=data[i].base64URI%>"/>
                    <p><%=data[i].mainText%></p>
                    <p><%=data[i].subText%></p>

                </div>
                <div class="entry">
                    <img class="qrCode" src="<%=data[i].base64URI%>"/>
                    <p><%=data[i].mainText%></p>
                    <p><%=data[i].subText%></p>

                </div>
                <div class="entry">
                    <img class="qrCode" src="<%=data[i].base64URI%>"/>
                    <p><%=data[i].mainText%></p>
                    <p><%=data[i].subText%></p>

                </div>
                <div class="entry">
                    <img class="qrCode" src="<%=data[i].base64URI%>"/>
                    <p><%=data[i].mainText%></p>
                    <p><%=data[i].subText%></p>

                </div>
                <div class="entry">
                    <img class="qrCode" src="<%=data[i].base64URI%>"/>
                    <p><%=data[i].mainText%></p>
                    <p><%=data[i].subText%></p>

                </div>
        </div>
    </body>
</html>